VelocityReport Plugin - Defect #619

Page margins and page size wrong when printing
12/31/2012 02:01 PM - Sem Tukenmez

Status: Closed Start date: 12/31/2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

When printing a report from the viewer or silently, the page margins and page size is not correct.
Also, with multi-page reports the first page is printed in portrait (as we've set) but from the second page on it prints in landscape.

We have set our CSS @page as follows and the printParams are set to A4, Portrait.

@page {

size: A4 portrait;
margin-top: 1.5cm;
margin-bottom: 5¢cm;
margin-left: 1.5cm;
margin-right: 1.5¢cm;

@top-right {
content: element (topheader) "Page " counter (page) " of " counter (pages);
font-family: sans-serif;
font-size: 9pt;

@bottom-left {
content: element (footer);
font-family: sans-serif;
font-size: 9pt;

}

This did work in the past (we were on version 2.0.12 | think, but have to check to be sure), we've just updated to 3.0RC7 and it
doesn't work correctly anymore.

We did try setting other @page settings, like setting the width and height explicitly. Also tried
addDefaultReportParameter("printParams”,printParamsObject). But that didn't help.
It happens both in developer and from a production server.

History

#1 - 01/02/2013 10:33 PM - Patrick Talbot

It might well be that the updated CSS parser (the one used and deployed with Servoy 6.1+) has introduced this bug.
I'l need to dig a little bit to fix this one.

#2 - 01/31/2013 10:39 AM - Sem Tukenmez
| was wondering if there was any update on this?

(K]

Regarding the possibility that it could be the Servoy CSS parser, I've also tried to escape the @ symbol in the css (we had to escape symbols like ':
in the latest Servoy version), but unfortunately that didn't work also.

Please let me know if | could be of any help in resolving this issue.

#3 - 02/01/2013 03:29 PM - Patrick Talbot

Totally forgot about this one, sorry.
| need to do some work on Velocity soon, adding mime/multipart request support for services (in and out) so I'll have a look at that as well.

#4 - 03/11/2013 01:18 AM - Patrick Talbot

- Status changed from New to Closed

Fixed with 3.1b02 - the fix is in the PDFRenderer.jar that has been patched with a fix for this bug.
You can eventually overwrite this jar using the 3.1b02 version, this will work in 3.0 as well.

#5 - 03/11/2013 09:41 PM - Sem Tukenmez

Fantastic news! Thank you for this patch

#6 - 03/11/2013 09:50 PM - Patrick Talbot
Sorry about the delay. Took me a while, but | had to dig deep in the PDFRenderer lib and actually patch it and build it myself.
